# Interface methods for submodule: ConstantVelocityFieldTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DisplacementFieldTransformProxy as _DisplacementFieldTransformProxy


# Interface methods for class: ConstantVelocityFieldTransform
class ConstantVelocityFieldTransformProxy(_DisplacementFieldTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetConstantVelocityField(self, arg0) -> None:
		""""""
		...

	def GetModifiableConstantVelocityField(self):
		""""""
		...

	def GetConstantVelocityField(self):
		""""""
		...

	def SetFixedParameters(self, arg0) -> None:
		""""""
		...

	def SetConstantVelocityFieldInterpolator(self, arg0) -> None:
		""""""
		...

	def GetModifiableConstantVelocityFieldInterpolator(self):
		""""""
		...

	def GetConstantVelocityFieldInterpolator(self):
		""""""
		...

	def GetConstantVelocityFieldSetTime(self) -> int:
		""""""
		...

	def UpdateTransformParameters(self, update: Sequence[float], factor: float = 1) -> None:
		""""""
		...

	def GetInverse(self, inverse) -> bool:
		""""""
		...

	def GetInverseTransform(self):
		""""""
		...

	def IntegrateVelocityField(self) -> None:
		""""""
		...

	def SetCalculateNumberOfIntegrationStepsAutomatically(self, _arg: bool) -> None:
		""""""
		...

	def GetCalculateNumberOfIntegrationStepsAutomatically(self) -> bool:
		""""""
		...

	def CalculateNumberOfIntegrationStepsAutomaticallyOn(self) -> None:
		""""""
		...

	def CalculateNumberOfIntegrationStepsAutomaticallyOff(self) -> None:
		""""""
		...

	def SetLowerTimeBound(self, _arg: float) -> None:
		""""""
		...

	def GetLowerTimeBound(self) -> float:
		""""""
		...

	def SetUpperTimeBound(self, _arg: float) -> None:
		""""""
		...

	def GetUpperTimeBound(self) -> float:
		""""""
		...

	def SetNumberOfIntegrationSteps(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfIntegrationSteps(self) -> int:
		""""""
		...

